JsonCpp project page | JsonCpp home page

Namespaces | Macros | Functions | Variables
json_value.cpp File Reference
`#include <json/assertions.h>`
`#include <json/value.h>`
`#include <json/writer.h>`
`#include <math.h>`
`#include <sstream>`
`#include <utility>`
`#include <cstring>`
`#include <cassert>`
`#include <cstddef>`
`#include <algorithm>`
`#include "json_valueiterator.inl"`
Include dependency graph for json_value.cpp:

Go to the source code of this file.

## Namespaces
| Json
| JSON (JavaScript Object Notation).

## Macros
#define | JSON_ASSERT_UNREACHABLE assert(false)
#define | ALIGNAS(byte_alignment)

## Functions
template<typename T , typename U >
static bool | Json::InRange (double d, T min, U max)
static char * | Json::duplicateStringValue (const char *value, size_t length)
| Duplicates the specified string value. More...
static char * | Json::duplicateAndPrefixStringValue (const char *value, unsigned int length)
static void | Json::decodePrefixedString (bool isPrefixed, char const *prefixed, unsigned *length, char const **value)
static void | Json::releasePrefixedStringValue (char *value)
| Free the string duplicated by duplicateStringValue()/duplicateAndPrefixStringValue(). More...
static void | Json::releaseStringValue (char *value, unsigned)
| Json::__declspec (noreturn) void throwRuntimeError(std
static bool | Json::IsIntegral (double d)

## Variables
static const double | Json::maxUInt64AsDouble = 18446744073709551615.0

## Macro Definition Documentation

## ◆ ALIGNAS

#define ALIGNAS | ( |  | byte_alignment | ) |

Definition at line 32 of file json_value.cpp.

## ◆ JSON_ASSERT_UNREACHABLE

#define JSON_ASSERT_UNREACHABLE assert(false)

Definition at line 22 of file json_value.cpp.

Referenced by Json::Value::isConvertibleTo(), Json::Value::operator<(), Json::Value::operator==(), Json::Value::size(), Json::Value::Value(), and Json::Value::~Value().